#ifndef MP3D_CAMERA_H
#define MP3D_CAMERA_H

#include "vecmath.h"

class Camera
{
public:
	Camera(){};
	~Camera(){};

	void setPlayerView(Vec3f lookFrom, Vec3f lookVec, Vec3f upVec);
	void setFreeNavCam(Vec3f center, bool bWindowHasFocus, int delta_x, int delta_y);
	
	Vec3f	m_lookFrom;
	Vec3f	m_lookAt;
	Vec3f	m_upVec;
private:
};

#endif	//MP3D_CAMERA_H