#ifndef MULTICAST_SOCKET_H
#define MULTICAST_SOCKET_H



class CMulticastSocket
{
public:
	CMulticastSocket() : m_socket(0) {};
	~CMulticastSocket();

	bool connect(int port);
	void sendMessage(const char* str, int len); // str should string of max 1024 bytes
	const char* receiveMessage();
		
private:

	int		m_socket;
	char	m_buffer[1024];	// Care must be taken if this is larger than 1500 bytes - the standard message size. Overflow will cause sending of several packages. Receiving socket treats it as several messages.
	
};
#endif