#ifndef PLAYER_SPACEWAR_H
#define PLAYER_SPACEWAR_H


#include "object.h"
#include <vector>


class Player : public virtual Object // this virtual makes it possible for us to overload class methods
{
public:
	Player();
	virtual ~Player();

	void initPlayer0();		// This is ourself
	void initRemotePlayer();
		
	// misc per object data
	
	int		m_score;
	float	m_health;

private:
	void createModels();
		
	// Storage for some preloaded models
	static L3DSRenderer m_fighter;		
};
#endif // PLAYER_SPACEWAR_H